use std::process::exit;
use deimos::vm::DmVirtualMachine;
use deimos::vm::op_codes::{add_mov_int, add_platform_call_to};

fn main() {
    let mut code: Vec<u8> = Vec::new();
    add_mov_int(&mut code, 0, 42);
    add_platform_call_to(&mut code, &String::from("std::core::print"), 1, &vec![0u8]);
    let mut vm = DmVirtualMachine::new();
    if let Err(_) = vm.run(&mut code) {
        eprintln!("There was an exception.");
        exit(1);
    }
}